<?php
/**
 * File containing the ezcDocumentRstDocumentNode struct
 *
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 * @package Document
 * @version //autogen//
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 * @access private
 */

/**
 * The document AST node
 *
 * @package Document
 * @version //autogen//
 * @access private
 */
class ezcDocumentRstDocumentNode extends ezcDocumentRstNode
{
    /**
     * Neting depth of document is always 0
     *
     * @var int
     */
    public $depth = 0;

    /**
     * Construct RST document node
     *
     * @param array $nodes
     * @return void
     */
    public function __construct( array $nodes = array() )
    {
        $this->line     = 0;
        $this->position = 0;
        $this->type     = self::DOCUMENT;
        $this->nodes    = $nodes;
    }

    /**
     * Set state after var_export
     *
     * @param array $properties
     * @return void
     * @ignore
     */
    public static function __set_state( $properties )
    {
        $node = new ezcDocumentRstDocumentNode(
            $properties['nodes']
        );

        return $node;
    }
}

?>
